> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axiom.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EVM verification result

> Check the status and result of an EVM proof verification.



## OpenAPI

````yaml GET /v1/verify/{verify_id}
openapi: 3.1.0
info:
  title: Axiom Proving API
  description: |-
    ## Axiom Cloud Proving API

        The Axiom Proving API allows you to compile, execute, and prove OpenVM programs on Axiom's cloud infrastructure.

        All endpoints require an API key passed in the `Axiom-API-Key` header.
        
  version: 1.0.0
servers:
  - url: https://api.axiom.xyz
    description: Production API
  - url: https://api.staging.app.axiom.xyz
    description: Staging API
security: []
paths:
  /v1/verify/{verify_id}:
    get:
      tags:
        - verification
      summary: Get EVM Verification Result
      description: Check the status and result of an EVM proof verification.
      operationId: get_verify_v1_verify__verify_id__get
      parameters:
        - name: verify_id
          in: path
          required: true
          schema:
            type: string
            title: Verify Id
      responses:
        '200':
          description: Verification result retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeVerifyEvmResponse'
        '404':
          description: Verification request not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FeVerifyEvmResponse:
      properties:
        id:
          type: string
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        result:
          $ref: '#/components/schemas/VerificationResult'
      type: object
      required:
        - id
        - created_at
        - result
      title: FeVerifyEvmResponse
      description: User-facing EVM verification response model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VerificationResult:
      type: string
      enum:
        - processing
        - verified
        - failed
      title: VerificationResult
      description: EVM verification results.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Axiom-API-Key

````